Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::SmallStack< T > Class Template Reference

A stack which can store one item very efficiently. More...

`#include <Scope.h>`

## Public Member Functions
| SmallStack ()=default
void | pop ()
void | push (T t)
T | top () const
T & | top_ref ()
const T & | top_ref () const
bool | empty () const
size_t | size () const

## Detailed Description

template<typename T>
class Halide::Internal::SmallStack< T >

A stack which can store one item very efficiently.

Using this instead of std::stack speeds up Scope substantially.

Definition at line 24 of file Scope.h.

## Constructor & Destructor Documentation

## ◆ SmallStack()

template<typename T >

Halide::Internal::SmallStack< T >::SmallStack | ( |  | ) |
| default

## Member Function Documentation

## ◆ pop()

template<typename T >

void Halide::Internal::SmallStack< T >::pop | ( |  | ) |
| inline

Definition at line 33 of file Scope.h.

## ◆ push()

template<typename T >

void Halide::Internal::SmallStack< T >::push | ( | T | t | ) |
| inline

Definition at line 43 of file Scope.h.

## ◆ top()

template<typename T >

T Halide::Internal::SmallStack< T >::top | ( |  | ) | const
| inline

Definition at line 51 of file Scope.h.

## ◆ top_ref() [1/2]

template<typename T >

T & Halide::Internal::SmallStack< T >::top_ref | ( |  | ) |
| inline

Definition at line 55 of file Scope.h.

## ◆ top_ref() [2/2]

template<typename T >

const T & Halide::Internal::SmallStack< T >::top_ref | ( |  | ) | const
| inline

Definition at line 59 of file Scope.h.

## ◆ empty()

template<typename T >

bool Halide::Internal::SmallStack< T >::empty | ( |  | ) | const
| inline

Definition at line 63 of file Scope.h.

## ◆ size()

template<typename T >

size_t Halide::Internal::SmallStack< T >::size | ( |  | ) | const
| inline

Definition at line 67 of file Scope.h.

The documentation for this class was generated from the following file:

- src/Scope.h